#ifndef __MAIN_H
#define __MAIN_H

#include "ad7606.h"
#include "am2303.h"
#include "fly_param.h"
#include "iec10x_type.h"
#include "includes.h"
#include "interface.h"
#include "led.h"
#include "modbus.h"
#include "net.h"
#include "stm32f4x7_phy.h"
#include "stm32f4xx.h"
#include <stdio.h>

void bsp_init(void);
void init_task(void *pvParameters);
void misc_task(void);

iec_32u RegisterIec10x(void);
#endif